com.smartgwt.client.types

## Enum JSONInstanceSerializationMode

- java.lang.Object
- - java.lang.Enum<JSONInstanceSerializationMode>
  - - com.smartgwt.client.types.JSONInstanceSerializationMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<JSONInstanceSerializationMode>

      public enum JSONInstanceSerializationMode
      extends java.lang.Enum<JSONInstanceSerializationMode>
      implements ValueEnum

  Controls the output of the JSONEncoder when instances of Smart GWT classes (eg a ListGrid) are included in the data to be serialized.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LONG` instances will be shown as a specially formatted JSON listing the most relevant properties of the instance.
    `SHORT` instances will be shown in a shorter format via a call to `isc.echoLeaf()`.
    `SKIP` no output will be shown for instances (as though they were not present in the data).

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static JSONInstanceSerializationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JSONInstanceSerializationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LONG

          public static final JSONInstanceSerializationMode LONG

      instances will be shown as a specially formatted JSON listing the most relevant properties of the instance. Result is not expected to decode()/eval() successfully if instances are included.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "long".

    - #### SHORT

          public static final JSONInstanceSerializationMode SHORT

      instances will be shown in a shorter format via a call to `isc.echoLeaf()`. Result is not expected to decode()/eval() successfully if instances are included.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "short".

    - #### SKIP

          public static final JSONInstanceSerializationMode SKIP

      no output will be shown for instances (as though they were not present in the data). Result should decode()/eval() successfully (depending on other settings)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "skip".

  - ### Method Detail

    - #### values

          public static JSONInstanceSerializationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JSONInstanceSerializationMode c : JSONInstanceSerializationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JSONInstanceSerializationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`